Package htsjdk.tribble

# Interface NamedFeature

All Superinterfaces:
  `Feature`, `Locatable`

All Known Subinterfaces:
  `BEDFeature`

All Known Implementing Classes:
  `FullBEDFeature`, `Interval`, `SimpleBEDFeature`

public interface NamedFeature extends Feature
An interface for features provided via an interval file, e.g. bed or interval_list. Provides a common interface for accessing the name column for both of these file types.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from interface htsjdk.tribble.Feature

`getChr`

### Methods inherited from interface htsjdk.samtools.util.Locatable

`contains, contigsMatch, getContig, getEnd, getLengthOnReference, getStart, overlaps, withinDistanceOf`

## Method Details

### getName

String getName()